from django.db import models
from utils.commom_models import BaseModel


# Create your models here.
class Banner(BaseModel):
    # id  img图片地址        上传时间 最后更新时间 是否删除 是否显示 order
    # 把公共字段抽取到某个基表中，以后要使用，直接继承基表，扩写自己的字段就可以了--->用过的AbstractUser就是这个原理
    title = models.CharField(max_length=16, unique=True, verbose_name='名称')
    image = models.ImageField(upload_to='banner', verbose_name='图片')
    # 点击图片，跳转到的路径
    # 前端跳转的地址： 前端路由     完整的http链接
    link = models.CharField(max_length=64, verbose_name='跳转链接')
    info = models.TextField(verbose_name='详情')  # 也可以用详情表，宽高出处

    class Meta:
        db_table = 'luffy_banner'
        verbose_name_plural = '轮播图表'

    def __str__(self):
        return self.title
