from rest_framework.generics import ListAPIView, CreateAPIView, RetrieveAPIView, DestroyAPIView, UpdateAPIView
from .common_response import ApiResponse


class CommonListAPIView(ListAPIView):
    def list(self, request, *args, **kwargs):
        res = super().list(self, request, *args, **kwargs)
        return ApiResponse(data=res.data)


class CommonCreateAPIView(CreateAPIView):
    def create(self, request, *args, **kwargs):
        res = super().create(self, request, *args, **kwargs)
        return ApiResponse(data=res.data)


class CommonRetrieveAPIView(RetrieveAPIView):
    def retrieve(self, request, *args, **kwargs):
        res = super().retrieve(self, request, *args, **kwargs)
        return ApiResponse(data=res.data)


class CommonDestroyAPIView(DestroyAPIView):
    def destroy(self, request, *args, **kwargs):
        res = super().destroy(self, request, *args, **kwargs)
        return ApiResponse(data=res.data)


class CommonUpdateAPIView(UpdateAPIView):
    def update(self, request, *args, **kwargs):
        res = super().update(self, request, *args, **kwargs)
        return ApiResponse(msg='删除成功')
